curl --request POST \
--url https://api.unibee.dev/merchant/invoice/external_gateway_invoice/mark_paid \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalTransactionId": "<string>",
"invoiceId": "<string>",
"signature": "<string>",
"timestamp": 123,
"gatewayId": 123,
"metadata": {},
"paidTime": 123
}
'{
"code": 123,
"data": {
"invoiceId": "<string>",
"paymentId": "<string>",
"status": "<string>",
"subscriptionId": "<string>"
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Mark invoice as paid. Auth: OpenAPI + signature (HMAC-SHA256 of invoiceId|externalTransactionId|timestamp with gateway API Key, hex).
curl --request POST \
--url https://api.unibee.dev/merchant/invoice/external_gateway_invoice/mark_paid \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalTransactionId": "<string>",
"invoiceId": "<string>",
"signature": "<string>",
"timestamp": 123,
"gatewayId": 123,
"metadata": {},
"paidTime": 123
}
'{
"code": 123,
"data": {
"invoiceId": "<string>",
"paymentId": "<string>",
"status": "<string>",
"subscriptionId": "<string>"
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Mark invoice as paid. Auth: OpenAPI + signature (HMAC-SHA256 of invoiceId|externalTransactionId|timestamp with gateway API Key, hex).
External payment transaction id from gateway, used as idempotent key
Invoice id
HMAC-SHA256(gatewayKey, invoiceId|externalTransactionId|timestamp), hex-encoded
Request timestamp, UTC seconds, used for expiry check
Optional. External gateway id; omit to use invoice's current gateway for auth
Additional metadata from external gateway
Show child attributes
Paid time, UTC timestamp in seconds (optional, default now)